<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::running_cross_covariance&lt; matrix_type &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1running__cross__covariance.html">running_cross_covariance</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1running__cross__covariance-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::running_cross_covariance&lt; matrix_type &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ab68ddda11b7dc63ecffa5b99c01f92a4"><td class="memItemLeft" align="right" valign="top">typedef matrix_type::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1running__cross__covariance.html#ab68ddda11b7dc63ecffa5b99c01f92a4">mem_manager_type</a></td></tr>
<tr class="separator:ab68ddda11b7dc63ecffa5b99c01f92a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c77dfe019b82bbd76e7e62a1e4dc095"><td class="memItemLeft" align="right" valign="top"><a id="a9c77dfe019b82bbd76e7e62a1e4dc095"></a>
typedef matrix_type::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a9c77dfe019b82bbd76e7e62a1e4dc095"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af619da26b27fe7416a9d2dfdeac8cfb9"><td class="memItemLeft" align="right" valign="top"><a id="af619da26b27fe7416a9d2dfdeac8cfb9"></a>
typedef matrix_type::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:af619da26b27fe7416a9d2dfdeac8cfb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae636d89ffd7a3e9acdb566ef95255043"><td class="memItemLeft" align="right" valign="top"><a id="ae636d89ffd7a3e9acdb566ef95255043"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; scalar_type, 0, 0, <a class="el" href="classdlib_1_1running__cross__covariance.html#ab68ddda11b7dc63ecffa5b99c01f92a4">mem_manager_type</a>, layout_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>general_matrix</b></td></tr>
<tr class="separator:ae636d89ffd7a3e9acdb566ef95255043"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba16454080a47a50e795e1cdd85e5f93"><td class="memItemLeft" align="right" valign="top"><a id="aba16454080a47a50e795e1cdd85e5f93"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; scalar_type, 0, 1, <a class="el" href="classdlib_1_1running__cross__covariance.html#ab68ddda11b7dc63ecffa5b99c01f92a4">mem_manager_type</a>, layout_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>column_matrix</b></td></tr>
<tr class="separator:aba16454080a47a50e795e1cdd85e5f93"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a18d99fde00bac5f6d4bd2e43b71b666f"><td class="memItemLeft" align="right" valign="top"><a id="a18d99fde00bac5f6d4bd2e43b71b666f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clear</b> ()</td></tr>
<tr class="separator:a18d99fde00bac5f6d4bd2e43b71b666f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1181ff9e06bbbcccf2e1f4f7bd65c1bf"><td class="memItemLeft" align="right" valign="top"><a id="a1181ff9e06bbbcccf2e1f4f7bd65c1bf"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>x_vector_size</b> () const</td></tr>
<tr class="separator:a1181ff9e06bbbcccf2e1f4f7bd65c1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af55ba945242a89c0d13a72c0675b1ffb"><td class="memItemLeft" align="right" valign="top"><a id="af55ba945242a89c0d13a72c0675b1ffb"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>y_vector_size</b> () const</td></tr>
<tr class="separator:af55ba945242a89c0d13a72c0675b1ffb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad70644f653ac62e11847240c086ce3ea"><td class="memItemLeft" align="right" valign="top"><a id="ad70644f653ac62e11847240c086ce3ea"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_dimensions</b> (long x_size, long y_size)</td></tr>
<tr class="separator:ad70644f653ac62e11847240c086ce3ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88a0ab80de81a3e33c97b8ddc1bb3ce1"><td class="memItemLeft" align="right" valign="top"><a id="a88a0ab80de81a3e33c97b8ddc1bb3ce1"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>current_n</b> () const</td></tr>
<tr class="separator:a88a0ab80de81a3e33c97b8ddc1bb3ce1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab796c6c817b02243b3ab7ee8b9c7d535"><td class="memTemplParams" colspan="2"><a id="ab796c6c817b02243b3ab7ee8b9c7d535"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:ab796c6c817b02243b3ab7ee8b9c7d535"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1enable__if__c.html">enable_if_c</a>&lt;!<a class="el" href="structdlib_1_1is__matrix.html">is_matrix</a>&lt; T &gt;::value &amp;&amp;!<a class="el" href="structdlib_1_1is__matrix.html">is_matrix</a>&lt; U &gt;::value &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>add</b> (const T &amp;x, const U &amp;y)</td></tr>
<tr class="separator:ab796c6c817b02243b3ab7ee8b9c7d535"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab27967790ba83c547c26db6ffffc3a73"><td class="memTemplParams" colspan="2"><a id="ab27967790ba83c547c26db6ffffc3a73"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:ab27967790ba83c547c26db6ffffc3a73"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1enable__if__c.html">enable_if_c</a>&lt; <a class="el" href="structdlib_1_1is__matrix.html">is_matrix</a>&lt; T &gt;::value &amp;&amp;!<a class="el" href="structdlib_1_1is__matrix.html">is_matrix</a>&lt; U &gt;::value &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>add</b> (const T &amp;x, const U &amp;y)</td></tr>
<tr class="separator:ab27967790ba83c547c26db6ffffc3a73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e1ac9310741d1fa05ee14a30c47556b"><td class="memTemplParams" colspan="2"><a id="a8e1ac9310741d1fa05ee14a30c47556b"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a8e1ac9310741d1fa05ee14a30c47556b"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1enable__if__c.html">enable_if_c</a>&lt;!<a class="el" href="structdlib_1_1is__matrix.html">is_matrix</a>&lt; T &gt;::value &amp;&amp;<a class="el" href="structdlib_1_1is__matrix.html">is_matrix</a>&lt; U &gt;::value &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>add</b> (const T &amp;x, const U &amp;y)</td></tr>
<tr class="separator:a8e1ac9310741d1fa05ee14a30c47556b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74a20b726d301215e653bd03967dc45f"><td class="memTemplParams" colspan="2"><a id="a74a20b726d301215e653bd03967dc45f"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a74a20b726d301215e653bd03967dc45f"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1enable__if__c.html">enable_if_c</a>&lt; <a class="el" href="structdlib_1_1is__matrix.html">is_matrix</a>&lt; T &gt;::value &amp;&amp;<a class="el" href="structdlib_1_1is__matrix.html">is_matrix</a>&lt; U &gt;::value &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>add</b> (const T &amp;x, const U &amp;y)</td></tr>
<tr class="separator:a74a20b726d301215e653bd03967dc45f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26f8e5b01da27703c548c0d728b07974"><td class="memItemLeft" align="right" valign="top"><a id="a26f8e5b01da27703c548c0d728b07974"></a>
const <a class="el" href="classdlib_1_1matrix.html">column_matrix</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mean_x</b> () const</td></tr>
<tr class="separator:a26f8e5b01da27703c548c0d728b07974"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d59fb808fbeb69b891041d4d662dffe"><td class="memItemLeft" align="right" valign="top"><a id="a9d59fb808fbeb69b891041d4d662dffe"></a>
const <a class="el" href="classdlib_1_1matrix.html">column_matrix</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mean_y</b> () const</td></tr>
<tr class="separator:a9d59fb808fbeb69b891041d4d662dffe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c7ea15ab5a9f5407f928440c677596"><td class="memItemLeft" align="right" valign="top"><a id="ae8c7ea15ab5a9f5407f928440c677596"></a>
const <a class="el" href="classdlib_1_1matrix.html">general_matrix</a>&#160;</td><td class="memItemRight" valign="bottom"><b>covariance_xy</b> () const</td></tr>
<tr class="separator:ae8c7ea15ab5a9f5407f928440c677596"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f5cb38ee70d332e0dda067a2f3e18e9"><td class="memItemLeft" align="right" valign="top"><a id="a5f5cb38ee70d332e0dda067a2f3e18e9"></a>
const <a class="el" href="classdlib_1_1running__cross__covariance.html">running_cross_covariance</a>&#160;</td><td class="memItemRight" valign="bottom"><b>operator+</b> (const <a class="el" href="classdlib_1_1running__cross__covariance.html">running_cross_covariance</a> &amp;item) const</td></tr>
<tr class="separator:a5f5cb38ee70d332e0dda067a2f3e18e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad6b10f1c36af9a3f814eafaa05269a94"><td class="memItemLeft" align="right" valign="top"><a id="ad6b10f1c36af9a3f814eafaa05269a94"></a>
<a class="el" href="classdlib_1_1matrix.html">general_matrix</a>&#160;</td><td class="memItemRight" valign="bottom"><b>total_cov</b></td></tr>
<tr class="separator:ad6b10f1c36af9a3f814eafaa05269a94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f1dfce5c726f217c2902034c182e6da"><td class="memItemLeft" align="right" valign="top"><a id="a7f1dfce5c726f217c2902034c182e6da"></a>
<a class="el" href="classdlib_1_1matrix.html">column_matrix</a>&#160;</td><td class="memItemRight" valign="bottom"><b>sum_x</b></td></tr>
<tr class="separator:a7f1dfce5c726f217c2902034c182e6da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af11851ca727e8338aad3f059df6cacc9"><td class="memItemLeft" align="right" valign="top"><a id="af11851ca727e8338aad3f059df6cacc9"></a>
<a class="el" href="classdlib_1_1matrix.html">column_matrix</a>&#160;</td><td class="memItemRight" valign="bottom"><b>sum_y</b></td></tr>
<tr class="separator:af11851ca727e8338aad3f059df6cacc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a314ad8581dab96aa6ca5e958cf8764e0"><td class="memItemLeft" align="right" valign="top"><a id="a314ad8581dab96aa6ca5e958cf8764e0"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>total_count</b></td></tr>
<tr class="separator:a314ad8581dab96aa6ca5e958cf8764e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa935bcf1655ec44af70e33198fd42f94"><td class="memItemLeft" align="right" valign="top"><a id="aa935bcf1655ec44af70e33198fd42f94"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>x_vect_size</b></td></tr>
<tr class="separator:aa935bcf1655ec44af70e33198fd42f94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74ee237bf913f9fb5973eaf4f33f96b0"><td class="memItemLeft" align="right" valign="top"><a id="a74ee237bf913f9fb5973eaf4f33f96b0"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>y_vect_size</b></td></tr>
<tr class="separator:a74ee237bf913f9fb5973eaf4f33f96b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Typedef Documentation</h2>
<a id="ab68ddda11b7dc63ecffa5b99c01f92a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab68ddda11b7dc63ecffa5b99c01f92a4">&#9670;&nbsp;</a></span>mem_manager_type</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename matrix_type &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef matrix_type::mem_manager_type <a class="el" href="classdlib_1_1running__cross__covariance.html">dlib::running_cross_covariance</a>&lt; matrix_type &gt;::<a class="el" href="classdlib_1_1running__cross__covariance.html#ab68ddda11b7dc63ecffa5b99c01f92a4">mem_manager_type</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">INITIAL VALUE
    - x_vect_size == 0
    - y_vect_size == 0
    - total_count == 0

CONVENTION
    - x_vect_size == x_vector_size()
    - y_vect_size == y_vector_size()
    - total_count == current_n() 

    - if (total_count != 0)
        - sum_x == the sum of all x vectors given to add()
        - sum_y == the sum of all y vectors given to add()
        - total_cov == sum of all x*trans(y) given to add()
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="statistics_2statistics_8h_source.html">statistics/statistics.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
